Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class SizeTerm

    java.lang.Object
      |
      +--javax.mail.search.SearchTerm
            |
            +--javax.mail.search.ComparisonTerm
                  |
                  +--javax.mail.search.IntegerComparisonTerm
                        |
                        +--javax.mail.search.SizeTerm

All Implemented Interfaces:
  java.io.Serializable

public final class SizeTerm
extends IntegerComparisonTerm

This class implements comparisons for Message sizes.

See Also:
  Serialized Form

Fields inherited from class javax.mail.search.IntegerComparisonTerm
`number`

Fields inherited from class javax.mail.search.ComparisonTerm
`comparison, EQ, GE, GT, LE, LT, NE`

Constructor Summary
`SizeTerm(int comparison, int size)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`boolean` | `match(Message msg)` The match method.

Methods inherited from class javax.mail.search.IntegerComparisonTerm
`getComparison, getNumber, hashCode, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SizeTerm

    public SizeTerm(int comparison,
                    int size)

  Constructor.
  Parameters:
    `comparison` - the Comparison type
    `size` - the size

Method Detail

### match

    public boolean match(Message msg)

  The match method.
  Overrides:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - the size comparator is applied to this Message's size
  Returns:
    true if the size is equal, otherwise false

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.
  Overrides:
    `equals` in class `IntegerComparisonTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD